/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package CustomerAccountMgmt.CustomerAccount;

import java.util.Vector;
import java.math.BigDecimal;
import CustomerAccountMgmt.CustomerAccountTrans.CustomerAccTransDetail;
import CustomerAccountMgmt.CustomerAccountTrans.CustomerAccTrans;

/** 
 * @author TogetherSoft
 * @stereotype thing */
public class CustomerAccount {
    public void makeCustomerAccount() {
    }

    public void addSubAccount() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    /**  */
    public BigDecimal calcAvgDailyBalance() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgDailyVolume() {
        return new BigDecimal(0);
    }

    public void addTransactionAndUpdateBalance() {
    }

    public void removeTransactionAndUpdateBalance() {
    }

    public void transferTo() {
    }

    public int assessQualityOfAccount() {
        return 0;
    }

    public static Vector listCustomerAccounts() {
        return new Vector();
    }

    public static BigDecimal calcAvgCustomerAccountBalance() {
        return new BigDecimal(0);
    }

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     * @supplierRole all,current reporting period
     */
    private CustomerAccTrans lnkUnnamed11;

    /**
     *@shapeType AggregationLink
     *     @supplierCardinality 0..*
     * @associates <b>CustomerAccount</b>
     * @supplierRole sub-account
     * @clientCardinality 1
     */
    private Vector lnkUnnamed1;
    private String number;
    private int interval;
    private int priority;
    private BigDecimal balance;
    private int status;

    /** @supplierCardinality 1 */
    private IMakeCustomerAccount lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @clientRole sub
     */
    private CustomerAccTransDetail lnkUnnamed;
}


